Subject: Re: pipes and spawn
From: [email-masked] (Alain CULOS)

30 May 1998 22:05:45 -0700
Message-ID: <[email-masked]>
References: <5010400023382884000002L042*@MHS>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

This strikes me, but I hope its only a mistake on your part :

Craig Setera wrote:

> int in[1], out[2];
> sprintf(args[1], "%d", in[1]);

Should be :
int i[2]
else how do you want to be able to access in[1] ?
and the call to pipe would corrupt something in memory if you give it a pointer to
one int only.

I hope this is it, if that was obvious, I have no other answer.
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".